# Uses of Enum
io.dapr.v1.CommonProtos.HTTPExtension.Verb

Packages that use CommonProtos.HTTPExtension.Verb
Package
Description
io.dapr.v1

## Uses of CommonProtos.HTTPExtension.Verb in io.dapr.v1

Methods in io.dapr.v1 that return CommonProtos.HTTPExtension.Verb
Modifier and Type
Method
Description
`static CommonProtos.HTTPExtension.Verb`
CommonProtos.HTTPExtension.Verb.`forNumber(int value)`
`CommonProtos.HTTPExtension.Verb`
CommonProtos.HTTPExtension.Builder.`getVerb()`
Required.
`CommonProtos.HTTPExtension.Verb`
CommonProtos.HTTPExtension.`getVerb()`
Required.
`CommonProtos.HTTPExtension.Verb`
CommonProtos.HTTPExtensionOrBuilder.`getVerb()`
Required.
`static CommonProtos.HTTPExtension.Verb`
CommonProtos.HTTPExtension.Verb.`valueOf(int value)`
Deprecated.
`static CommonProtos.HTTPExtension.Verb`
CommonProtos.HTTPExtension.Verb.`valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this type with the specified name.
`static CommonProtos.HTTPExtension.Verb`
CommonProtos.HTTPExtension.Verb.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CommonProtos.HTTPExtension.Verb[]`
CommonProtos.HTTPExtension.Verb.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in io.dapr.v1 that return types with arguments of type CommonProtos.HTTPExtension.Verb
Modifier and Type
Method
Description
`static com.google.protobuf.Internal.EnumLiteMap<CommonProtos.HTTPExtension.Verb>`
CommonProtos.HTTPExtension.Verb.`internalGetValueMap()`
Methods in io.dapr.v1 with parameters of type CommonProtos.HTTPExtension.Verb
Modifier and Type
Method
Description
`CommonProtos.HTTPExtension.Builder`
CommonProtos.HTTPExtension.Builder.`setVerb(CommonProtos.HTTPExtension.Verb value)`
Required.